Page MenuHomePhabricator

Rename "simple" wikis to "en-simple"
Open, Stalled, LowestPublic

Description

The English Wikipedia and the Simple English Wikipedia use the same language code for lang attribute.

This creates issues for ContentTranslation, such as T105072 and T103983, and in general it's just not the same language.

These issues could be fixed on the ContentTranslation side, and maybe they will be, but other wikis in language variants use different codes, for example be/be-tarask, and so should Simple English.

en-simple is now a standard language code.

There may also be the issue of how search engines and translation engines see the site, so tagging Discovery.

Related Objects

StatusSubtypeAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
StalledNone
OpenNone
OpenNone
OpenNone
ResolvedNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
DeclinedNone
OpenNone
DeclinedNone
DeclinedNone
OpenNone
Resolvedadrianheine
OpenNone
DuplicateNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedTTO
InvalidNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenFeatureNone
OpenBUG REPORTNone
OpenNone
ResolvedLadsgroup
DuplicateNone

Event Timeline

Amire80 raised the priority of this task from to Needs Triage.
Amire80 updated the task description. (Show Details)
Amire80 added subscribers: Amire80, Nikerabbit, siebrand.
Amire80 triaged this task as Medium priority.Oct 15 2015, 7:22 PM

So... "simple" is now a standard IETF subtag: http://www.iana.org/assignments/language-subtag-registry/language-subtag-registry

It became one thanks to this bug.

And this means that "en-simple" is now a standard language code, and en-simple can be defined as the language code of the Simple English Wikipedia, and the domain can be renamed to en-simple.wikipedia.org, as far as standards go.

Danny_B renamed this task from Assign a different language code to the Simple English Wikipedia to Rename "simple" wikis to "en-simple".Feb 7 2016, 2:59 AM
Danny_B moved this task from Backlog to Wiki rename requests on the Wikimedia-Language-setup board.
hashar lowered the priority of this task from Medium to Lowest.Sep 14 2016, 10:15 AM

Added some sysops, I'd love to get their opinions.

debt added a subscriber: debt.

Let us know if this comes to fruition - and we'll do what is needed at that time. I've moved it to our later column.

Liuxinyu970226 changed the task status from Open to Stalled.Apr 30 2017, 5:13 AM

per krinkle

I took part in the discussion to standardize the -simple subtag and would love to see more adoption. Wikipedia could be an important step e.g. to get assitive technology vendors to add support. So I would very much like to see this issue fixed. Is there anything I can do to help?

I guess $wgExtraLanguageCodes in DefaultSettings.php would have to be changed to map "simple" to "en-simple". What would be the exact consequences of this change? What else is needed?

Thank you!

There's currently a technical blocker that prevents domain renaming. It has a lot to do with the Wikidata project, and it's not trivial. Once it's resolved, Simple English Wikipedia will probably be among the first to be renamed.

As far as I understand, this ticket is about changing the lang attribute. Changing the subdomain is a separate task, isn't it?

Mmmm... Maybe it could be considered, although I'd be cautious.

@Amire80:

Once it's resolved, Simple English Wikipedia will probably be among the first to be renamed.

I doubt if you just decided so, because in Proposals for closing projects/Closure of Simple English Wikipedia (3) many users are providing their opinions to merge this Wikipedia back to enwiki.

It would be nice if it were folded into en.wp for many reasons but I think there is simply too much inertia for that to happen. This task should assume that the third proposal to close it will fail like the first two.

Just a quick comment,
Simple English ('Simple') is the only simplified language version running under that name.
For German there are a few initiatives 'Einfaches Deutsch/Vereinfachtes Deutsch' or similar; they mainly target the problem of 'functional analphebetism' though, and to my knowledge, none has reached a status where a 'Wikipedia Version' could be created.
There were 3 simplified versions used in the German colonies ('Kolonialdeutch', 'Weltdeutsch', and 'Unserdeusch'; the first two are planned languages, like Esperanto, that never caught on, the last one is essentially Tok Pisin with a German vocabulary - there are less than 500 speakers worldwide, most live in Australia).
In short - none of the German versions lend themselves to creating a wikipedia.
French -I think there are two attempts at creating a Simple French Wikipedia, but both stalled.

As to ISO code: It is unlikely we get a language variant (with an ISO 631-2, or ISO-631-3,or ISO 3166 code). Normally such codes have at least some geographic component 'en-US', 'en-BZ' (Belize, if it exists), 'EN-HK' (Hong Kong), 'en-ZA' (South Africa)..

So, I currently see no need to rename Simple English to anything else.

And as to closing: Yes, Simple English is a small wiki, but it also has a community of supporting editors; there have been several proposals to close SEWP; they all failed.

-simple is not part of any ISO standard, but of BCP 47 https://tools.ietf.org/html/bcp47